Webhooks
Retrieves your configured webhooks list
Enter JWT token
Your credential's unique identifier key
Your timezone
List of your configured webhooks
ACTIVITY_EVENTPossible values: https://www.mycompanyhost.com/my-webhookmy-32-bytes-sized-secret{"Content-Type":"application/json"}Unauthorized access due to invalid credentials, invalid or expired JWT token
Your key, your credentials or your JWT token are invalid, or you don't have access for this resource
An unexpected error has been raised durig this process
GET /business/v1/settings/webhooks HTTP/1.1
Host: api.mio.id
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: text
Accept: */*
[
{
"type": "ACTIVITY_EVENT",
"url": "https://www.mycompanyhost.com/my-webhook",
"secret": "my-32-bytes-sized-secret",
"authorization": {
"type": "BASIC_AUTH",
"value": {
"username": "my-user-name",
"password": "my-secure-password"
}
},
"headers": {
"Content-Type": "application/json"
}
}
]Creates a new or updates an existent webhook for integration
Enter JWT token
Your credential's unique identifier key
Your timezone
ACTIVITY_EVENTPossible values: https://www.mycompanyhost.com/my-webhookmy-32-bytes-sized-secret{"Content-Type":"application/json"}Your webhook has been created or updated on your configurations successfully
No content
Your request metadata or your payload contains incorrect values
Unauthorized access due to invalid credentials, invalid or expired JWT token
Your key, your credentials or your JWT token are invalid, or you don't have access for this resource
An unexpected error has been raised durig this process
PUT /business/v1/settings/webhooks HTTP/1.1
Host: api.mio.id
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 262
{
"type": "ACTIVITY_EVENT",
"url": "https://www.mycompanyhost.com/my-webhook",
"secret": "my-32-bytes-sized-secret",
"authorization": {
"type": "BASIC_AUTH",
"value": {
"username": "my-user-name",
"password": "my-secure-password"
}
},
"headers": {
"Content-Type": "application/json"
}
}No content
Removes from your webhook list the item for the specified ID
Enter JWT token
my-webhook-idYour credential's unique identifier key
Your timezone
Your webhook has been removed from your configurations successfully
No content
Your request metadata or your payload contains incorrect values
Unauthorized access due to invalid credentials, invalid or expired JWT token
Your key, your credentials or your JWT token are invalid, or you don't have access for this resource
No resource found for specified identifier
An unexpected error has been raised durig this process
DELETE /business/v1/settings/webhooks/{id} HTTP/1.1
Host: api.mio.id
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: text
Accept: */*
No content
Last updated